--- !ruby/object:RI::ClassDescription 
attributes: 
- !ruby/object:RI::Attribute 
  comment: 
  name: disable_auto_validations
  rw: R
class_methods: []

comment: 
constants: []

full_name: DataMapper::Validate::AutoValidate
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: auto_generate_validations
- !ruby/object:RI::MethodSummary 
  name: auto_validations_disabled?
- !ruby/object:RI::MethodSummary 
  name: disabled_auto_validations?
- !ruby/object:RI::MethodSummary 
  name: infer_format_validation_for
- !ruby/object:RI::MethodSummary 
  name: infer_length_validation_for
- !ruby/object:RI::MethodSummary 
  name: infer_presence_validation_for
- !ruby/object:RI::MethodSummary 
  name: infer_type_validation_for
- !ruby/object:RI::MethodSummary 
  name: infer_uniqueness_validation_for
- !ruby/object:RI::MethodSummary 
  name: infer_within_validation_for
- !ruby/object:RI::MethodSummary 
  name: options_with_message
- !ruby/object:RI::MethodSummary 
  name: skip_auto_validation_for?
- !ruby/object:RI::MethodSummary 
  name: without_auto_validations
name: AutoValidate
superclass: 
